DRM_HELPER_ENCODER_I(9)

NAME
drm_helper_encoder_in_use - check if a given encoder is in use

SYNOPSIS

bool drm_helper_encoder_in_use(struct drm_encoder * encoder);

ARGUMENTS

encoder
    encoder to check

DESCRIPTION

Checks whether encoder is with the current mode setting output configuration in use by any connector. This doesn't mean that it is actually enabled since the DPMS state is tracked separately.

RETURNS

True if encoder is used, false otherwise.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT